if not _G.WolfHUDPrePlan then
	_G.WolfHUDPrePlan = {}
	WolfHUDPrePlan.mod_path = ModPath

	WolfHUDPrePlan.hook_files = WolfHUDPrePlan.hook_files or {
		["lib/managers/menumanager"] 								= { "PrePlanManager.lua"  },
		["lib/managers/preplanningmanager"] 						= { "PrePlanManager.lua" },
		["lib/managers/menu/preplanningmapgui"]						= { "PrePlanManager.lua" },

		--Utils and custom classes...
		["lib/entry"]												= { "Utils/QuickInputMenu.lua", "Utils/InputDialog.lua" },
		["lib/managers/systemmenumanager"] 							= { "Utils/InputDialog.lua" },
		["lib/managers/dialogs/specializationdialog"] 				= { "Utils/InputDialog.lua" },
		["lib/managers/menu/specializationboxgui"] 					= { "Utils/InputDialog.lua" },
	}

	function WolfHUDPrePlan:createDirectory(path)
		local current = ""
		path = Application:nice_path(path, true):gsub("\\", "/")

		for folder in string.gmatch(path, "([^/]*)/") do
			current = Application:nice_path(current .. folder, true)

			if not self:DirectoryExists(current) then
				if SystemFS and SystemFS.make_dir then
					SystemFS:make_dir(current)
				elseif file and file.CreateDirectory then
					file.CreateDirectory(current)
				end
			end
		end

		return self:DirectoryExists(path)
	end

	function WolfHUDPrePlan:DirectoryExists(path)
		if SystemFS and SystemFS.exists then
			return SystemFS:exists(path)
		elseif file and file.DirectoryExists then
			log("")	-- For some weird reason the function below always returns true if we don't log anything previously...
			return file.DirectoryExists(path)
		end
	end

	--Add localiszation strings
	Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_WolfHUD", function(loc)
        local loc_path = WolfHUDPrePlan.mod_path .. "Loc/"
		if file.DirectoryExists(loc_path) then
			if BLT.Localization._current == 'cht' or BLT.Localization._current == 'zh-cn' then
				loc:load_localization_file(loc_path .. "schinese.json")
			else
				for _, filename in pairs(file.GetFiles(loc_path)) do
					local str = filename:match('^(.*).json$')
					if str and Idstring(str) and Idstring(str):key() == SystemInfo:language():key() then
						loc:load_localization_file(loc_path .. filename)
						break
					end
				end
			end
			loc:load_localization_file(loc_path .. "english.json", false)
		else
			log("Localization folder seems to be missing!")
		end
	end)
end

if RequiredScript then
	local requiredScript = RequiredScript:lower()

	if WolfHUDPrePlan.hook_files[requiredScript] then
		for __, file in ipairs(WolfHUDPrePlan.hook_files[requiredScript]) do
			dofile( WolfHUDPrePlan.mod_path .. "Lua/" .. file )
		end
	end
end
